module.exports = {
  root: true,
  env: {
    node: true
  },
  extends: [
    "plugin:vue/essential",
    "eslint:recommended",
    "plugin:prettier/recommended"
  ],
  parserOptions: {
    parser: "@babel/eslint-parser"
  },
  rules: {
    "no-console": process.env.NODE_ENV === "production" ? "warn" : "off",
    "no-debugger": process.env.NODE_ENV === "production" ? "warn" : "off",
    "vue/multi-word-component-names": "off",
    // 不使用script-setup
    "vue/script-setup-uses-vars": "off",
    "prettier/prettier": [
      process.env.NODE_ENV === "production" ? "off" : "error",
      // prettier 规则配置
      {
        endOfLine: "auto", // 换行cr检查
        trailingComma: "none" // 对象最后一个属性不加添加逗号
      }
    ]
  },
  ignorePatterns: ["public/*"] // ignore all files in test folder
};
