const adminRoutes = [
  {
    path: "/",
    component: () => import("@/views/layout.vue"),
    name: "layout",
    redirect: {
      name: "users"
    },
    children: [
      {
        path: "/users",
        component: () => import("@/views/users/index.vue"),
        name: "users",
        meta: {
          keepAlive: true,
          isAuth: true,
          title: "用户信息"
        }
      },
      {
        path: "/history",
        component: () => import("@/views/history/index.vue"),
        name: "history",
        meta: {
          keepAlive: true,
          isAuth: true,
          title: "发展历程"
        }
      },
      {
        path: "/service",
        component: () => import("@/views/service/index.vue"),
        name: "service",
        meta: {
          keepAlive: true,
          isAuth: true,
          title: "服务案例"
        }
      },
      {
        path: "/school",
        component: () => import("@/views/school/index.vue"),
        name: "school",
        meta: {
          keepAlive: true,
          isAuth: true,
          title: "学校图标"
        }
      },
      {
        path: "/trial",
        component: () => import("@/views/trial/index.vue"),
        name: "trial",
        meta: {
          keepAlive: true,
          isAuth: true,
          title: "申请试用"
        }
      },
      {
        path: "/news",
        component: () => import("@/views/news/index.vue"),
        name: "news",
        meta: {
          keepAlive: true,
          isAuth: true,
          title: "新闻资讯"
        }
      },
      {
        path: "/log",
        component: () => import("@/views/log/index.vue"),
        name: "log",
        meta: {
          keepAlive: true,
          isAuth: true,
          title: "登录日志"
        }
      }
    ]
  },
  {
    path: "/login",
    component: () => import("@/views/login/index.vue"),
    name: "login",
    meta: {
      keepAlive: true,
      isAuth: true,
      title: "登录"
    }
  }
];
export default adminRoutes;
